use winit::event_loop::EventLoop;

mod renderer;
mod vulkan;

use renderer::app::App;
use vulkan::context::VulkanContext;

fn main() {
    let event_loop = EventLoop::new().unwrap();
    let vulkan_context = VulkanContext::new(&event_loop).unwrap();
    let mut app = App::new(vulkan_context);
    event_loop.run_app(&mut app).unwrap();
}
